Patchwork Added package fbterm: a framebuffer-based terminal emulator.

login
register
mail settings
Submitter Dimitry Golubovsky
Date May 16, 2012, 2:36 a.m.
Message ID <1337135766-26862-1-git-send-email-golubovsky@gmail.com>
Download mbox | patch
Permalink /patch/159490/
State Accepted
Headers show

Comments

Dimitry Golubovsky - May 16, 2012, 2:36 a.m.
Signed-off-by: Dmitry <golubovsky@gmail.com>
---
 package/Config.in        |    1 +
 package/fbterm/Config.in |   15 +++++++++++++++
 package/fbterm/fbterm.mk |   13 +++++++++++++
 3 files changed, 29 insertions(+), 0 deletions(-)
 create mode 100644 package/fbterm/Config.in
 create mode 100644 package/fbterm/fbterm.mk
Thomas Petazzoni - May 16, 2012, 7:09 a.m.
Le Tue, 15 May 2012 22:36:06 -0400,
Dmitry <golubovsky@gmail.com> a écrit :

> +	depends on (BR2_INSTALL_LIBSTDCPP && BR2_ENABLE_LOCALE && \
> +			BR2_TOOLCHAIN_BUILDROOT_CXX && BR2_USE_WCHAR)

You should replace BR2_TOOLCHAIN_BUILDROOT_CXX by BR2_INSTALL_LIBSTDCPP
(yes, I know the name of this config option is crappy), otherwise
users of external toolchains or ct-ng toolchains will not be able to
select this package.

Thomas
Peter Korsgaard - May 16, 2012, 7:17 a.m.
>>>>> "Dmitry" == Dmitry  <golubovsky@gmail.com> writes:

Hi,

 Dmitry> +++ b/package/fbterm/Config.in
 Dmitry> @@ -0,0 +1,15 @@
 Dmitry> +config BR2_PACKAGE_FBTERM
 Dmitry> +	bool "fbterm"
 Dmitry> +	depends on (BR2_INSTALL_LIBSTDCPP && BR2_ENABLE_LOCALE && \
 Dmitry> +			BR2_TOOLCHAIN_BUILDROOT_CXX && BR2_USE_WCHAR)
 Dmitry> +	select BR2_PACKAGE_FONTCONFIG
 Dmitry> +	select BR2_PACKAGE_LIBERATION
 Dmitry> +	help
 Dmitry> +	  fbterm is a fast terminal emulator for Linux with frame buffer
 Dmitry> +	  device or VESA video card.
 Dmitry> +
 Dmitry> +	  http://code.google.com/p/fbterm/
 Dmitry> +
 Dmitry> +comment "fbterm requires a C++, WCHAR in toolchain and locale support"
 Dmitry> +	depends on !(BR2_INSTALL_LIBSTDCPP && BR2_ENABLE_LOCALE && \
 Dmitry> +			BR2_TOOLCHAIN_BUILDROOT_CXX && BR2_USE_WCHAR)

BR2_TOOLCHAIN_BUILDROOT_CXX isn't needed. Otherwise it looks good,
committed to next - Thanks.
Peter Korsgaard - May 16, 2012, 7:41 a.m.
>>>>> "Thomas" == Thomas Petazzoni <thomas.petazzoni@free-electrons.com> writes:

 Thomas> Le Tue, 15 May 2012 22:36:06 -0400,
 Thomas> Dmitry <golubovsky@gmail.com> a écrit :

 >> +	depends on (BR2_INSTALL_LIBSTDCPP && BR2_ENABLE_LOCALE && \
 >> +			BR2_TOOLCHAIN_BUILDROOT_CXX && BR2_USE_WCHAR)

 Thomas> You should replace BR2_TOOLCHAIN_BUILDROOT_CXX by BR2_INSTALL_LIBSTDCPP
 Thomas> (yes, I know the name of this config option is crappy), otherwise
 Thomas> users of external toolchains or ct-ng toolchains will not be able to
 Thomas> select this package.

I fixed that while committing.

Patch

diff --git a/package/Config.in b/package/Config.in
index fb1b08f..d2d5096 100644
--- a/package/Config.in
+++ b/package/Config.in
@@ -112,6 +112,7 @@  source "package/fbgrab/Config.in"
 if BR2_PACKAGE_BUSYBOX_SHOW_OTHERS
 source "package/fbset/Config.in"
 endif
+source "package/fbterm/Config.in"
 source "package/fbv/Config.in"
 source "package/imagemagick/Config.in"
 source "package/linux-fusion/Config.in"
diff --git a/package/fbterm/Config.in b/package/fbterm/Config.in
new file mode 100644
index 0000000..ea5e5fa
--- /dev/null
+++ b/package/fbterm/Config.in
@@ -0,0 +1,15 @@ 
+config BR2_PACKAGE_FBTERM
+	bool "fbterm"
+	depends on (BR2_INSTALL_LIBSTDCPP && BR2_ENABLE_LOCALE && \
+			BR2_TOOLCHAIN_BUILDROOT_CXX && BR2_USE_WCHAR)
+	select BR2_PACKAGE_FONTCONFIG
+	select BR2_PACKAGE_LIBERATION
+	help
+	  fbterm is a fast terminal emulator for Linux with frame buffer
+	  device or VESA video card.
+
+	  http://code.google.com/p/fbterm/
+
+comment "fbterm requires a C++, WCHAR in toolchain and locale support"
+	depends on !(BR2_INSTALL_LIBSTDCPP && BR2_ENABLE_LOCALE && \
+			BR2_TOOLCHAIN_BUILDROOT_CXX && BR2_USE_WCHAR)
diff --git a/package/fbterm/fbterm.mk b/package/fbterm/fbterm.mk
new file mode 100644
index 0000000..6b1d506
--- /dev/null
+++ b/package/fbterm/fbterm.mk
@@ -0,0 +1,13 @@ 
+############################################
+#
+# fbterm
+# 
+############################################
+
+FBTERM_VERSION = 1.7.0
+FBTERM_SITE = http://fbterm.googlecode.com/files/
+
+FBTERM_DEPENDENCIES = fontconfig liberation
+
+$(eval $(call AUTOTARGETS))
+